import request from '@/utils/request'

// 查询质量月报S2002列表
export function listS2002(query) {
  return request({
    url: '/production/s2002/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S2002详细
export function getS2002(id) {
  return request({
    url: '/production/s2002/' + id,
    method: 'get'
  })
}

// 新增质量月报S2002
export function addS2002(data) {
  return request({
    url: '/production/s2002',
    method: 'post',
    data: data
  })
}

// 修改质量月报S2002
export function updateS2002(data) {
  return request({
    url: '/production/s2002',
    method: 'put',
    data: data
  })
}

// 删除质量月报S2002
export function delS2002(id) {
  return request({
    url: '/production/s2002/' + id,
    method: 'delete'
  })
}

// 导出质量月报S2002
export function exportS2002(query) {
  return request({
    url: '/production/s2002/export',
    method: 'get',
    params: query
  })
}